var xmlHttp = null;
var ClickTrID = -1;
var IsTopDivDisplayOneClick = 0;
function Pageonload()
{
	dvSearch.style.display = "none";
	dvSearch.style.position = "absolute";
	
}
function TextKeyUp()
{
	dvSearch.style.display = "block";
	var tbDemo = document.getElementById("tbSearch").value;
	//dvSearch1.innerText = document.getElementById("tbSearch").value;
	//alert(document.getElementById("tbSearch").value);

	
	document.getElementById("dv_TopSearch").style.display = 'none';
	
	if(document.getElementById("tbSearch").value == "")
	{
		document.getElementById("dvSearch").style.display = "none";
	}
	else
	{
		CreatXmlHttpRequest();
	}
	
	//alert(event.keyCode);
}
function DivFocus()
{
    if(IsTopDivDisplayOneClick == 0)
    {
        document.getElementById("dvSearch").style.display = 'block';
        //IsTopDivDisplayOneClick = 1;
    }
}
//获取键盘键值
function TextKeyDown()
{
    //TextKeyUp();
    if(event.keyCode == "40")
    {
        tr_0.style.background = '#b5ccff';
    }
}
function Textblur()
{
	dvSearch.style.display = "none";
	
}
//创建XML对象
function CreatXmlHttpRequest()
{
	xmlHttp = false;
	try 
	{
		xmlHttp = new ActiveXObject("Msxml2.XMLHTTP");
	}
	catch(e) 
	{
		try 
		{
			xmlHttp = new ActiveXObject("Microsoft.XMLHTTP");
		}
		catch(e2)
		{
			xmlHttp = false;
			alert('Error!Your IE Don.t Support Ajax!');
		}
	}
	if (!xmlHttp && typeof XMLHttpRequest != 'undefined')
	{
		xmlHttp = new XMLHttpRequest();
	}
	if(xmlHttp)
	{
		CallServer();
	}
}
//传送Ajax
function CallServer()
{
	var text = document.getElementById("tbSearch").value;
	if ((text == null) || (text == "")) return;
	var url = "AirSearchSource.aspx?QureySql=" + encodeURI("SELECT TOP 10 * FROM Lvsv_Airport WHERE AP_EnglishName LIKE '%A%' OR AP_CityName LIKE '%A%'") + "&value=" + encodeURI(text);
	//xmlHttp.open("GET", url, true); //escape(text);
	xmlHttp.open("GET", url, true);
	xmlHttp.onreadystatechange = UpdateSearchDiv;
	xmlHttp.send(null);
}
function UpdateSearchDiv()
{
	if (xmlHttp.readyState == 4)
	{
		//var response = xmlHttp.responseText;
		//dvSearch.innerText = response;
		var response = xmlHttp.responseXML;
		var showElements = response.getElementsByTagName("ForEachNode");
		
		var tb_Html = "<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"	border-right: #0066ff 1px solid;";
		tb_Html += "border: #0066ff 1px solid;width: 250px;position: relative;background-color: #ffffff;\">";
		for (var x=0; x<showElements.length; x++)
		{
//			var RowName = document.getElementById("tr_" + x);
//			var ColumnValue = RowName.childNodes;
//			ColumnValue[1].innerHTML;
			
			tb_Html += "<tr id=\"tr_" + x + "\" style=\"height:25px;\" onmousedown=\"javascript:var o = document.getElementById('tr_" + x + "');";
			tb_Html += "var ss = o.childNodes;tbSearch.value = ss[1].innerText;\" onmouseover=\"javascript:this.style.background = '#b5ccff'\" ";
			tb_Html += "onmouseout=\"javascript:this.style.background = '#FFFFFF'\"><td style=\"padding-left: 10px;text-align: left;\">";
			tb_Html += response.getElementsByTagName("AP_EnglishName")[x].firstChild.nodeValue + "</td>";
			tb_Html += "<td style=\"padding-right: 10px;text-align: right;\">";
			tb_Html += response.getElementsByTagName("AP_ShortName")[x].firstChild.nodeValue + "</td></tr>";
			
		}
		//alert(tb_Html);
		tb_Html += "</table>";
		document.getElementById("dv_SearchBody").innerHTML = tb_Html;
	
		if(event.keyCode == "40")
		{
			if(ClickTrID < showElements.length - 1)
				ClickTrID ++;
			document.getElementById("tr_" + ClickTrID).style.background = '#b5ccff';

		}
		else if(event.keyCode == "38")
		{
			if(ClickTrID > 0)
				ClickTrID --;
			document.getElementById("tr_" + ClickTrID).style.background = '#b5ccff';
		}
		else if(event.keyCode == "13")
		{
			var RowName = document.getElementById("tr_" + ClickTrID);
			var ColumnValue = RowName.childNodes;
			document.getElementById("tbSearch").value = ColumnValue[1].innerText;
			document.getElementById("dvSearch").style.display = "none";
			return false;
		}
		else
		{
			ClickTrID = -1;
		}
		
//				var myDocument = document;
//				var htmlElement = myDocument.documentElement;

	}
//			else
//			{
//				alert("Error: Status Code Is " + xmlHttp.readyState);
//			}
//			var response = request.responseText.split("|");
//			document.getElementById("order").value = response[0];
//			document.getElementById("address").innerHTML = response[1].replace(/\n/g, "<br />");
}
function Getonmouseover(tr)
{
	tr.className='DistntBoxSearchMouserOver';
}
function Getonmouseout(tr)
{
	tr.className='DistntBoxSearchMouserOut';
}
function GetMouseUp(tb,div)
{
	//document.getElementById(tb).value = document.getElementById(div).value
	tb.value = div.innerHTML;
}

//0：请求未初始化（还没有调用 open()）。 
//1：请求已经建立，但是还没有发送（还没有调用 send()）。 
//2：请求已发送，正在处理中（通常现在可以从响应中获取内容头）。 
//3：请求在处理中；通常响应中已有部分数据可用了，但是服务器还没有完成响应的生成。 
//4：响应已完成；您可以获取并使用服务器的响应了。

//nodeName 报告节点的名称（详见下述）。 
//nodeValue 提供节点的 “值”（详见后述）。 
//parentNode 返回节点的父节点。记住，每个元素、属性和文本都有一个父节点。 
//childNodes 是节点的孩子节点列表。对于 HTML，该列表仅对元素有意义，文本节点和属性节点都没有孩子。 
//firstChild 仅仅是 childNodes 列表中第一个节点的快捷方式。 
//lastChild 是另一种快捷方式，表示 childNodes 列表中的最后一个节点。 
//previousSibling 返回当前节点之前 的节点。换句话说，它返回当前节点的父节点的 childNodes 列表中位于该节点前面的那个节点（如果感到迷惑，重新读前面一句）。 
//nextSibling 类似于 previousSibling 属性，返回父节点的 childNodes 列表中的下一个节点。 
//attributes 仅用于元素节点，返回元素的属性列表。 

function GetbtnSearch(tb)
{
	if(tb.value != "")
	{
		//alert(tb.value);
		//UrlEncode  %E5%8A%A8%E7%94%BB%E5%90%8D 动画名
		window.location.href = "search.aspx?type=%E5%8A%A8%E7%94%BB%E5%90%8D&value=" + encodeURI(tb.value);
	}
	else
	{
		alert('SearchTextBox is not null!');
	}
}

////控制标签隐藏及显示
//function DisplayDiv(Span)
//{
//    if(document.documentElement.getElementById(Span).style.display == "none")
//    {
//        document.documentElement.getElementById(Span).style.display = "block"
//    }
//    else
//    {
//        document.documentElement.getElementById(Span).style.display = "none"
//    }
//}
//控制标签隐藏及显示
function DisplayDiv(Span)
{
    if(Span.style.display == "none")
    {
        Span.style.display = "block"
    }
    else
    {
        Span.style.display = "none"
    }
}

//控制标签隐藏及显示
function DisplayDivXml(Span)
{
  if(document.getElementById(Span).style.display=="block")
    {
    
       document.getElementById(Span).style.display="none";
    }
    else
    {
        document.getElementById(Span).style.display="block";
    }
 }
//控制标签隐藏及显示 带层定位
function DisplayDivEvent(Span)
{
    
    if(Span.style.display == "none")
    {
        Span.style.display = "block"
    }
    else
    {
        Span.style.display = "none"
    }
    Span.style.top = event.clientY;
    Span.style.left = event.clientX;
    //alert(event.clientX+','+event.clientY);
}
function DisplayDivEvent(Span,Tops)
{
    if(Span.style.display == "none")
    {
        Span.style.display = "block"
    }
    else
    {
        Span.style.display = "none"
    }
    Span.style.top = event.clientY + Tops;
    Span.style.left = event.clientX;
    //alert(event.clientX+','+event.clientY);
}
function DisplayDivEvent(Span,Tops,Lefts)
{
    if(Span.style.display == "none")
    {
        Span.style.display = "block"
    }
    else
    {
        Span.style.display = "none"
    }
    Span.style.top = event.clientY + Tops;
    Span.style.left = event.clientX + Lefts;
    //alert(event.clientX+','+event.clientY);
}
//移动图片
function GetDefaultBg(span,span_1)
{
    document.getElementById(span).style.background = "url(../../../App_Themes/Default/images/btn/maintopnavbg.gif) 0px 4px no-repeat";
    document.getElementById(span_1).style.display = "block"
    //span_1.style.display = "block";
}
function GetDefaultBgNone(span,span_1)
{
    document.getElementById(span).style.background = "";
    document.getElementById(span_1).style.display = "none"
    //span_1.style.display = "none";
}
function GetDefaultBgLi(span)
{
    document.getElementById(span).style.display = "block";
}
function GetDefaultBgNoneLi(span)
{
    document.getElementById(span).style.display = "none";
}